Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class IdentityAssertionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.security.spi.IdentityAssertionException

public class IdentityAssertionException
extends java.lang.Exception

The `IdentityAssertionException` exception is thrown if an Identity Assertion provider attempts to assert an identity based on token identity information, and that attempt fails.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`IdentityAssertionException()` Constructs an `IdentityAssertionException` with no arguments.
`IdentityAssertionException(java.lang.String s)` Constructs an `IdentityAssertionException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityAssertionException

    public IdentityAssertionException()

  Constructs an `IdentityAssertionException` with no arguments.

### IdentityAssertionException

    public IdentityAssertionException(java.lang.String s)

  Constructs an `IdentityAssertionException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - a String providing additional information about this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference